<?xml version="1.0" encoding="UTF-8"?>
<panel
 border="false"
 follows="all"
 height="408"
 label="Camera"
 mouse_opaque="false"
 layout="topleft"
 left="0"
 name="camera"
 top="45"
 width="510">
 <scroll_container
 color="Transparent"
 follows="all"
 layout="topleft"
 mouse_opaque="false"
 left="0"
 name="camera_scroll"
 opaque="true"
 height="407"
 width="509"
 top="0">
  <panel
  layout="topleft"
  follows="left|top|right"
  height="707"
  name="camera_scroll_panel"
  top="0"
  mouse_opaque="false"
  left="0"
  width="495">
   <panel
   follows="left|top|right"
   height="20"
   bg_visible="true"
   bg_alpha_color="0.10 0.43 0.77 0.28"
   layout="topleft"
   mouse_opaque="false"
   left="1"
   name="title"
   top="0"
   width="492"/>
   <text
   name="show_ims_in_label"
   follows="left|top"
   layout="topleft"
   left="10"
   height="12"
   width="350"
   top_delta="4">
   Camera Options:
   </text>
   <button
   label="⌊Configure Flycam Controls⌉"
   name="joystick_setup_button"
   tool_tip="This button opens the configuration window for 3d mouse and controller setup to be used for free-form camera as well as avatar movement and build interactions."
   layout="topleft"
   top_delta="-6"
   left_pad="-52"
   image_overlay_alignment="left"
   image_overlay="Edit_Wrench"
   halign="right"
   pad_bottom="0"
   image_selected="Transparent"
   image_unselected="Transparent"
   width="182">
   <button.commit_callback
   function="Floater.Show"
   parameter="pref_joystick" />
   </button>
   
   <slider
   can_edit_text="true"
   control_name="CameraAngle"
   decimal_digits="4"
   follows="left|top"
   height="14"
   increment="0.01"
   initial_value="1.10"
   layout="topleft"
   label_width="150"
   label="View Angle:"
   tool_tip="This option sets the camera view angle in radians, lower values look zoomed in, higher values look zoomed out. This option indirectly affects the Depth of Field strength because some calculations in Depth of Field depend on the camera view angle."
   left="10"
   top_pad="11"
   max_val="3.97"
   min_val="0.17"
   name="camera_fov"
   show_text="true"
   width="336" />
   <button
   follows="left|top"
   control_name="CameraAngle"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="DynamicCameraStrength"
   decimal_digits="2"
   follows="left|top"
   height="14"
   increment="1"
   initial_value="2"
   layout="topleft"
   label="Camera Lag:"
   tool_tip="This option controls the amount the camera should dynamically lag behind avatar movement. Higher values will result in a camera that lags behind the actual avatar movement which may or may not change the camera height in certain situations such as falling or jumping."
   left="10"
   label_width="150"
   max_val="60"
   min_val="0"
   name="camera_lag"
   show_text="true"
   width="327"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="DynamicCameraStrength"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="CameraOffsetScale"
   decimal_digits="2"
   follows="left|top"
   height="14"
   increment="0.025"
   initial_value="1"
   layout="topleft"
   label="Distance:"
   tool_tip="This option controls the multiplier with which camera offsets should be multiplied with. Depending on the chosen camera preset this might further offset the camera to the sides, not just zoom further out."
   left="10"
   label_width="150"
   max_val="3"
   min_val="0.5"
   name="camera_offset_scale"
   show_text="true"
   width="324"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="CameraOffsetScale"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="CameraPositionSmoothing"
   decimal_digits="2"
   follows="left|top"
   height="14"
   increment="0.025"
   initial_value="1"
   layout="topleft"
   label="Smoothing:"
   tool_tip="This option controls the strength at which the camera should be smoothened out while moving. Lower values mean harsher movement while higher values mean smoother and more cinematic movement."
   left="10"
   label_width="150"
   max_val="40"
   min_val="0.0"
   name="camera_position_smoothing"
   show_text="true"
   width="330"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="CameraPositionSmoothing"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="ZoomTime"
   decimal_digits="2"
   follows="left|top"
   height="14"
   increment="0.05"
   initial_value="1"
   layout="topleft"
   label="Zoom Time (s):"
   tool_tip="This option sets the amount of time in s (seconds) it takes for the camera to interpolate between two focus points (when zooming onto something for instance)."
   left="10"
   label_width="150"
   max_val="10"
   min_val="0"
   name="zoomtime"
   show_text="true"
   width="330"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="ZoomTime"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <check_box
   control_name="UseCinematicCamera"
   follows="left|top"
   height="16"
   initial_value="false"
   label="Use Cinematic Headtracking"
   layout="topleft"
   left="10"
   name="UseCinematicCamera"
   tool_tip="This option toggles whether the camera should follow avatar head movement in third person or not. Enabling this will also allow the camera to roll whenever the Avatar head is tilted."
   width="250"
   top_pad="7"/>
   <slider
   can_edit_text="true"
   control_name="CameraMaxRoll"
   decimal_digits="2"
   follows="left|top"
   height="14"
   increment="0.01"
   initial_value="0.85"
   layout="topleft"
   label="Max Camera Roll:"
   tool_tip="This option sets the rough amount of roll in percent that should be dampened when the Cinematic Camera is used. 1.0 disables this effect completely."
   left="10"
   label_width="150"
   max_val="1"
   min_val="0"
   name="CameraMaxRoll"
   show_text="true"
   width="324"
   top_pad="6"/>
   <button
   follows="left|top"
   control_name="CameraMaxRoll"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <icon
   follows="top|right"
   height="1"
   image_name="Prefs_Separator"
   color="1 1 1 1"
   layout="topleft"
   name="separator"
   mouse_opaque="false"
   width="450"
   left="25"
   top_pad="4"/>
   <check_box
   control_name="EditCameraMovement"
   height="16"
   follows="left|top"
   label="Turn Camera for Build/Edit Mode"
   layout="topleft"
   left="10"
   name="edit_camera_movement"
   tool_tip="This option toggles whether the camera should be automatically repositioned to focus on the object when entering build and edit mode or not."
   width="300"
   top_pad="5" />
   <check_box
   control_name="AppearanceCameraMovement"
   follows="left|top"
   height="16"
   label="Turn Camera for Appearance Mode"
   layout="topleft"
   top_pad="0"
   name="appearance_camera_movement"
   tool_tip="This option toggles whether the camera should be automatically repositioned to focus on the avatar when entering appearance edit mode or not."
   width="300" />
   <check_box
   control_name="DisableCameraConstraints"
   follows="left|top"
   height="16"
   initial_value="false"
   label="Disable Camera Constrains"
   layout="topleft"
   left_delta="0"
   name="DisableCameraConstraints"
   tool_tip="This option toggles whether the camera should be disallowed to leave the draw distance, go below the terrain or zoom into objects and avatars."
   width="250"
   top_pad="0"/>
   <check_box
   control_name="InvertMouseThirdPerson"
   follows="left|top"
   height="16"
   initial_value="false"
   label="Invert Pitch in Third Person"
   layout="topleft"
   left_delta="0"
   name="InvertMouseThirdPerson"
   tool_tip="This option toggles whether looking up or down should be inverted or not."
   width="250"
   top_pad="0"/>
   <check_box
   control_name="TrackFocusObject"
   follows="left|top"
   height="16"
   initial_value="false"
   label="Follow Focused Objects"
   layout="topleft"
   left_delta="0"
   name="InvertMouseThirdPerson"
   tool_tip="This option toggles whether the camera should follow an object or avatar it is zoomed on."
   width="250"
   top_pad="0"/>
   
   <panel
   follows="left|top|right"
   height="20"
   bg_visible="true"
   bg_alpha_color="0.10 0.43 0.77 0.28"
   layout="topleft"
   mouse_opaque="false"
   left="1"
   name="title"
   top_pad="10"
   width="492"/>
   <text
   name="show_ims_in_label"
   follows="left|top"
   layout="topleft"
   left="10"
   height="12"
   width="350"
   top_delta="4">
   Avatar Tracking Options:
   </text>
   
   <slider
   can_edit_text="true"
   control_name="PitchFromMousePosition"
   orientation="horizontal"
   decimal_digits="0"
   follows="left|top"
   height="15"
   increment="1"
   initial_value="40"
   layout="topleft"
   label="Eyes ° Limit"
   tool_tip="This option controls the rotation in degrees the eyes are allowed to move to follow mouse movement on screen. This option will not prevent the eye movement being sent to others and will not disable random eye movement."
   left="10"
   label_width="150"
   max_val="50"
   min_val="0"
   name="PitchFromMousePosition"
   show_text="true"
   width="312"
   top_pad="13"/>
   <button
   follows="left|top"
   control_name="PitchFromMousePosition"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="YawFromMousePosition"
   decimal_digits="0"
   follows="left|top"
   height="15"
   increment="1"
   initial_value="60"
   layout="topleft"
   label="Head ° Limit"
   tool_tip="This option controls the rotation in degrees the head is allowed to move to follow mouse movement on screen. This option will not prevent the head movement being sent to others."
   left="10"
   label_width="150"
   max_val="90"
   min_val="0"
   name="YawFromMousePosition"
   show_text="true"
   width="318"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="YawFromMousePosition"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="AvatarRotateThresholdSlow"
   decimal_digits="0"
   follows="left|top"
   height="15"
   increment="1"
   initial_value="90"
   layout="topleft"
   label="Rotationstep ° [standing]"
   tool_tip="This option controls the rotation in ° (degrees) your camera is allowed to make compared to the current avatar rotation before the avatar turns around to face the camera again. This option only works while standing still."
   left="10"
   label_width="150"
   max_val="240"
   min_val="2"
   name="camrotateslow"
   show_text="true"
   width="318"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="AvatarRotateThresholdSlow"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="AvatarRotateThresholdFast"
   decimal_digits="0"
   follows="left|top"
   height="15"
   increment="1"
   initial_value="2"
   layout="topleft"
   label="Rotationstep ° [moving]"
   tool_tip="This option controls the rotation in ° (degrees) your camera is allowed to make compared to the current avatar rotation before the avatar turns around to face the camera again. This option only works while moving."
   left="10"
   label_width="150"
   max_val="60"
   min_val="2"
   name="camrotatefast"
   show_text="true"
   width="312"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="AvatarRotateThresholdFast"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   
   <panel
   follows="left|top|right"
   height="20"
   bg_visible="true"
   bg_alpha_color="0.10 0.43 0.77 0.28"
   layout="topleft"
   mouse_opaque="false"
   left="1"
   name="title"
   top_pad="10"
   width="492"/>
   <check_box
   control_name="EnableMouselook"
   follows="left|top"
   height="16"
   label="Mouselook (First Person)"
   tool_tip="This option toggles whether you can switch to the first person view of your avatar (aka Mouselook) or not when zooming in or hitting &lt;green&gt;M&lt;/green&gt;."
   layout="topleft"
   left="5"
   top_delta="1"
   name="AllowMouselook"
   width="256" />
   
   <check_box
   control_name="FirstPersonAvatarVisible"
   follows="left|top"
   height="16"
   label="Show my avatar in Mouselook"
   tool_tip="This option toggles the visibility of your own avatar when in first person view (Mouselook)."
   layout="topleft"
   left="10"
   top_pad="15"
   enabled_control="EnableMouselook"
   name="first_person_avatar_visible"
   width="256" />
   <check_box
   control_name="ShowCrosshairs"
   follows="left|top"
   height="16"
   enabled_control="EnableMouselook"
   label="Show crosshairs in Mouselook"
   tool_tip="This option toggles the visibility of onscreen crosshairs when in first person view (Mouselook)."
   layout="topleft"
   left="10"
   top_pad="0"
   name="ShowCrosshairs"
   width="256" />
   <check_box
   control_name="AllowUIHidingInML"
   follows="left|top"
   enabled_control="EnableMouselook"
   height="16"
   label="Hide user interface in Mouselook"
   tool_tip="This option toggles whether the main user interface should be hidden while in first person view (Mouselook). Disabling this option allows limited interaction with the interface by holding down &lt;green&gt;Alt&lt;/green&gt;."
   layout="topleft"
   left_delta="0"
   top_pad="0"
   name="MLInterfaceHide"
   width="256" />
   <check_box
   control_name="AllowMouselookGrab"
   follows="left|top"
   enabled_control="EnableMouselook"
   height="16"
   label="Allow touching objects in Mouselook"
   tool_tip="This option toggles whether you can touch objects and interact with them by aiming at them and hitting &lt;green&gt;LeftMouseButton&lt;/green&gt;."
   layout="topleft"
   left_delta="0"
   top_pad="0"
   name="MLGrab"
   width="256" />
   <check_box
   control_name="UseRealisticMouselook"
   follows="left|top"
   height="16"
   enabled_control="EnableMouselook"
   label="Enable 'realistic' camera behavior in Mouselook"
   tool_tip="This option toggles whether the camera should be influenced by head movement while in first person view (Mouselook). With this disabled the camera will appear to hover above the ground at a semi-fixed height not being affected by the animations of your avatar."
   layout="topleft"
   left="10"
   top_pad="0"
   name="UseRealisticMouselook"
   width="256" />
   <check_box
   control_name="MouseSmooth"
   follows="left|top"
   enabled_control="EnableMouselook"
   height="16"
   label="Smooth Mouselook movement"
   tool_tip="This option toggles whether camera movement while in first person view (Mouselook) should be slightly smoothened."
   layout="topleft"
   left_delta="0"
   top_pad="0"
   name="MouseSmooth"
   width="256" />
   <check_box
   control_name="InvertMouse"
   follows="left|top"
   enabled_control="EnableMouselook"
   height="16"
   label="Invert Pitch in Mouselook"
   tool_tip="This option controls whether the Y axis (up and down) should be inverted while in first person view (Mouselook). This option stacks with the joystick invert Y axis."
   layout="topleft"
   left_delta="0"
   top_pad="0"
   name="invert_mouse"
   width="256" />
   <slider
   enabled_control="EnableMouselook"
   control_name="MouseSensitivity"
   follows="left|top"
   show_text="true"
   can_edit_text="true"
   height="15"
   label="Mouselook sensitivity"
   tool_tip="This option controls the sensitivity of mouse to camera movement. Higher sensitivity translates to more camera movement with the same mouse movement."
   initial_value="2"
   label_width="150"
   layout="topleft"
   left="10"
   max_val="15"
   name="mouse_sensitivity"
   top_pad="4"
   width="334" />
   <button
   follows="left|top"
   control_name="MouseSensitivity"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   <slider
   can_edit_text="true"
   control_name="AvatarRotateThresholdMouselook"
   decimal_digits="0"
   follows="left|top"
   height="15"
   increment="1"
   initial_value="120"
   layout="topleft"
   label="Rotationstep ° [mouselook]"
   tool_tip="This option controls the rotation in ° (degrees) your camera is allowed to make compared to the current avatar rotation before the avatar turns around to face the camera again. This option only works while in first person view (Mouselook)."
   left="10"
   label_width="150"
   max_val="240"
   min_val="2"
   name="camrotateml"
   show_text="true"
   width="319"
   top_pad="1"/>
   <button
   follows="left|top"
   control_name="AvatarRotateThresholdMouselook"
   height="15"
   is_toggle="false"
   label="⌊default⌉"
   image_selected="PushButton_Default_Off"
   image_unselected="PushButton_Default_Off"
   layout="topleft"
   left="370"
   top_delta="0"
   name="default"
   width="60">
   <button.commit_callback
   function="Pref.Default"/>
   </button>
   
   <panel
   follows="left|top|right"
   height="20"
   bg_visible="true"
   bg_alpha_color="0.10 0.43 0.77 0.28"
   layout="topleft"
   mouse_opaque="false"
   left="1"
   name="title"
   top_pad="10"
   width="492"/>
   <text
   name="show_ims_in_label"
   follows="left|top"
   layout="topleft"
   left="10"
   height="12"
   width="350"
   top_delta="4">
   Camera Preset Options:
   </text>
   
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.1"
   label="Camera X Offset"
   label_width="150"
   tool_tip="This option controls the position offset of the camera on the X axis relative to the camera focus point, where X works as zoom modifier for both Y and Z axis on a courve."
   layout="topleft"
   left="10"
   max_val="10"
   min_val="-4"
   name="CameraOffset_X"
   top_pad="15"
   width="338">
   <slider.commit_callback
   function="Pref.CameraArray"
   parameter="X"/>
   </slider>
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.1"
   label="Camera Y Offset"
   label_width="150"
   layout="topleft"
   left="10"
   tool_tip="This option controls the position offset of the camera on the Y axis relative to the camera focus point, where Y is the horizontal offset applied to the X axis."
   max_val="4"
   min_val="-4"
   name="CameraOffset_Y"
   top_pad="2"
   width="332">
   <slider.commit_callback
   function="Pref.CameraArray"
   parameter="Y"/>
   </slider>
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.1"
   label="Camera Z Offset"
   label_width="150"
   layout="topleft"
   left="10"
   tool_tip="This option controls the position offset of the camera on the Z axis relative to the camera focus point, where Z is the vertical offset applied to the X axis."
   max_val="15"
   min_val="-4"
   name="CameraOffset_Z"
   top_pad="2"
   width="338">
   <slider.commit_callback
   function="Pref.CameraArray"
   parameter="Z"/>
   </slider>
   <icon
   follows="top|right"
   height="1"
   image_name="Prefs_Separator"
   color="1 1 1 1"
   layout="topleft"
   name="separator"
   mouse_opaque="false"
   width="450"
   left="25"
   top_pad="4"/>
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.01"
   label="Focus X Offset"
   label_width="150"
   layout="topleft"
   left="10"
   tool_tip="This option controls the position offset of the focus point on the X axis, where X is the depth. X (depth) is affected by Y (left and right) and Z (up and down), they will change the path depth takes either to the front or backside of your avatar."
   max_val="4"
   min_val="-4"
   name="FocusOffset_X"
   top_pad="5"
   width="332">
   <slider.commit_callback
   function="Pref.FocusArray"
   parameter="X"/>
   </slider>
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.01"
   label="Focus Y Offset"
   label_width="150"
   layout="topleft"
   left_delta="0"
   tool_tip="This option controls the position offset of the focus point on the Y axis, where Y is left and right. Y affects X, it will change the path depth takes on a horizontal line."
   max_val="4"
   min_val="-4"
   name="FocusOffset_Y"
   top_pad="2"
   width="332">
   <slider.commit_callback
   function="Pref.FocusArray"
   parameter="Y"/>
   </slider>
   <slider
   decimal_digits="3"
   can_edit_text="true"
   follows="left|top"
   height="14"
   increment="0.01"
   label="Focus Z Offset"
   label_width="150"
   layout="topleft"
   left_delta="0"
   tool_tip="This option controls the position offset of the focus point on the Z axis, where Z is up and down. Z affects X, it will change the path depth takes on a vertical line."
   max_val="4"
   min_val="-4"
   name="FocusOffset_Z"
   top_pad="2"
   width="332">
   <slider.commit_callback
   function="Pref.FocusArray"
   parameter="Z"/>
   </slider>

   
   <combo_box
	follows="bottom|left"
	layout="topleft"
	left="1"
	height="20"
	name="camera_preset_name"
	allow_text_entry="true"
	top_pad="7"
	width="184">
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Pref.ChangeCameraPreset"/>
	</combo_box>
  <button
  height="21"
  follows="top|left"
  layout="topleft"
  label="New Preset"
  image_overlay_alignment="left"
  image_overlay="AddItem_Off"
  image_hover_unselected="Toolbar_Middle_Over"
  image_selected="Toolbar_Middle_Selected"
  image_unselected="Toolbar_Middle_Off"
  tool_tip="This button creates a new camera preset with the set name."
  name="AddCameraPreset"
  width="100"
  top_delta="0"
  left_pad="-7">
  <button.commit_callback
  function="Pref.AddCameraPreset"/>
  </button>
  <button
  height="21"
  follows="top|left"
  layout="topleft"
  enabled="false"
  label="Delete Preset"
  image_overlay_alignment="left"
  image_overlay="TrashItem_Off"
  image_hover_unselected="Toolbar_Middle_Over"
  image_selected="Toolbar_Middle_Selected"
  image_unselected="Toolbar_Middle_Off"
  tool_tip="This button removes the currently selected camera preset."
  name="DeleteCameraPreset"
  width="109"
  top_delta="0"
  left_pad="1">
  <button.commit_callback
  function="Pref.RemoveCameraPreset"/>
  </button>
  <button
  height="21"
  follows="top|left"
  layout="topleft"
  label="Reset Preset"
  image_overlay_alignment="left"
  image_overlay="Refresh_Off"
  image_hover_unselected="Toolbar_Middle_Over"
  image_selected="Toolbar_Middle_Selected"
  image_unselected="Toolbar_Middle_Off"
  tool_tip="This button resets the currently selected camera preset to either its defaults or to a basic 'rear view'."
  name="ResetCameraPreset"
  width="105"
  top_delta="0"
  left_pad="1">
  <button.commit_callback
  function="Pref.ResetCameraPreset"/>
  </button>
  </panel>
 </scroll_container>
</panel>
